Update tree view widgets for Vista
The tree view needs to be updated for vista:

-arrows instead of + and - buttons
-no dashed outline on the tree
-new folder icon

See bug#  for a mockup of the bookmarks organizer. This but also effects the bookmarks sidebar (bug  and history sidebar (393506)
